# $Revision: 1.26 $, $Date: 2007/02/19 16:38:24 $
Summary:	Jar file creation utility
Summary(pl.UTF-8):	Narzędzie do tworzenia plików jar
Name:		fastjar
Version:	0.93
Release:	7
License:	GPL
Group:		Development/Languages/Java
Source0:	http://dl.sourceforge.net/fastjar/%{name}-%{version}.tgz
# Source0-md5:	a8159d2042bce9998020f197fee39ef1
Patch0:		%{name}-gcc.patch
URL:		http://fastjar.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	zlib-devel
Provides:	jar
Provides:	java-shared
Obsoletes:	java-shared
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FastJar is an attempt at creating a feature-for-feature copy of Sun's
JDK's 'jar' command. Sun's jar (or Blackdown's for that matter) is
written entirely in Java which makes it dog slow. Since FastJar is
written in C, it can create the same .jar file as Sun's tool in a
fraction of the time. On my system, Sun's jar takes 50 seconds to
create a 10MB jar file, while FastJar only takes a little over a
second.

%description -l pl.UTF-8
FastJar to próba stworzenia dokładnej pod względem możliwości kopii
polecenia jar z Sun JDK. jar Suna (lub Blackdowna) jest napisany
całkowicie w Javie, co powoduje, że jest bardzo wolny. Ponieważ
FastJar jest napisany w C, może tworzyć te same pliki .jar co
narzędzie Suna kilka razy szybciej. Na systemie autora jar Suna
potrzebuje 50 sekund na stworzenie 10MB pliku jar, natomiast fastjar
robi to w nieco ponad sekundę.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf fastjar $RPM_BUILD_ROOT%{_bindir}/jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fastjar.spec,v $
Revision 1.26  2007/02/19 16:38:24  arekm
- rel 7

Revision 1.25  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.23  2007/01/06 14:32:47  arekm
- rel 6; fix build with gcc 4.2

Revision 1.22  2004/09/25 12:27:42  havner
- provides/obsoletes java-shared
- rel 5

Revision 1.21  2004/01/24 23:10:07  undefine
- release 4 for AC

Revision 1.20  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.19  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.16  2002/10/04 14:16:50  kloczek
- release 3: use new %doc.

Revision 1.15  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:17:24  arturs
fixed a small typo

Revision 1.13  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/03/03 11:00:31  kloczek
- reelasze 2: added "rm -f missing" on top %build.

Revision 1.11  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/27 10:04:40  qboosh
- pl description

Revision 1.8  2001/09/15 17:17:56  bonkey
- Group changed to Development/Languages/Java

Revision 1.7  2001/08/22 17:31:16  filon
- added Provides: jar

Revision 1.6  2001/02/16 08:52:18  kloczek
- regenerate all am/ac files.

Revision 1.5  2001/02/16 08:13:55  kloczek
- removed outdated DESTDIR_and_install patch.

Revision 1.4  2001/02/16 03:33:34  kloczek
- updated to 0.93.

Revision 1.3  2001/02/14 18:02:17  kloczek
- adapterized,
- added %description,
- added BuildRequires rules,
- simplifications in %files,
- removed LICENSE and INSTALL from %doc.

Revision 1.2  2001/02/14 17:31:56  wiget
add source URI

Revision 1.1  2000/08/29 08:03:09  wrobell
- jar generation utility
